local Easy = (GetModConfigData("Mode")=="easy")
local Normal = (GetModConfigData("Mode")=="normal")
local Hard = (GetModConfigData("Mode")=="hard")


local MoreItemOff = (GetModConfigData("MoreItem")=="off")
local MoreItemOn = (GetModConfigData("MoreItem")=="on")

local StackableRabitOff = (GetModConfigData("StackableRabit")=="off")
local StackableRabitOn = (GetModConfigData("StackableRabit")=="on")


function stackPrefabPostInit(inst)

	inst.components.stackable.maxsize = 99

end

function makestackablePrefabPostInit(inst)

	inst:AddComponent("stackable")
		inst.components.stackable.maxsize = 20

end

if MoreItemOn then
	TUNING.STACK_SIZE_LARGEITEM = 33
	TUNING.STACK_SIZE_MEDITEM = 66
	TUNING.STACK_SIZE_SMALLITEM = 99
end

if StackableRabitOn then
	AddPrefabPostInit("crow", makestackablePrefabPostInit)
	AddPrefabPostInit("rabbit", makestackablePrefabPostInit)
	AddPrefabPostInit("robin", makestackablePrefabPostInit)
	AddPrefabPostInit("robin_winter", makestackablePrefabPostInit)
end

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.OSTUXKATANA = "OsTux Katana"
STRINGS.RECIPE_DESC.OSTUXKATANA = "Katana with life steal benefit."

GLOBAL.STRINGS.NAMES.OSTUXLASER = "OsTux Laser Sword"
STRINGS.RECIPE_DESC.OSTUXLASER = "Laser sword with life steal and lighting benefit."

GLOBAL.STRINGS.NAMES.OSTUXBACKPACK = "OsTux's BackPack"
STRINGS.RECIPE_DESC.OSTUXBACKPACK = "A backpack, fit for a Hero."

Assets = 
{
	Asset("ATLAS", "images/inventoryimages/ostuxkatana.xml"),
	Asset("ATLAS", "images/inventoryimages/ostuxlaser.xml"),
	Asset("ATLAS", "images/inventoryimages/ostuxbackpack.xml"),
}

PrefabFiles = {
	"ostuxkatana",
	"ostuxlaser",
	"ostuxbackpack",
}

        if Easy then 
local ostuxkatanaRecipe = GLOBAL.Recipe( "ostuxkatana", 
		{
			Ingredient("goldnugget", 4), 
			Ingredient("rope", 2), 
			Ingredient("charcoal", 10) 
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_ONE)
		ostuxkatanaRecipe.atlas = "images/inventoryimages/ostuxkatana.xml"

local ostuxlaserRecipe = GLOBAL.Recipe( "ostuxlaser", 
		{
			Ingredient("bluegem", 1), 
			Ingredient("papyrus", 5), 
			Ingredient("spear", 1)
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_ONE)
		ostuxlaserRecipe.atlas = "images/inventoryimages/ostuxlaser.xml"

local ostuxbackpackRecipe = GLOBAL.Recipe( "ostuxbackpack", 
		{
			Ingredient("twigs", 1), 
			Ingredient("rope", 5), 
			Ingredient("log", 1)
		},
		
		RECIPETABS.SURVIVAL, TECH.SCIENCE_ONE)
		ostuxbackpackRecipe.atlas = "images/inventoryimages/ostuxbackpack.xml"
	
        else
        if Normal then 
local ostuxkatanaRecipe = GLOBAL.Recipe( "ostuxkatana", 
		{
			Ingredient("goldnugget", 4), 
			Ingredient("rope", 2), 
			Ingredient("charcoal", 10) 
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_ONE)
		ostuxkatanaRecipe.atlas = "images/inventoryimages/ostuxkatana.xml"

local ostuxlaserRecipe = GLOBAL.Recipe( "ostuxlaser", 
		{
			Ingredient("purplegem", 1), 
			Ingredient("lightbulb", 5), 
			Ingredient("tentaclespike", 1)
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_ONE)
		ostuxlaserRecipe.atlas = "images/inventoryimages/ostuxlaser.xml"

local ostuxbackpackRecipe = GLOBAL.Recipe( "ostuxbackpack", 
		{
			Ingredient("nightmarefuel", 1), 
			Ingredient("rope", 10), 
			Ingredient("log", 10)
		},
		
		RECIPETABS.SURVIVAL, TECH.SCIENCE_ONE)
		ostuxbackpackRecipe.atlas = "images/inventoryimages/ostuxbackpack.xml"
        else
        if Hard then
local ostuxkatanaRecipe = GLOBAL.Recipe( "ostuxkatana", 
		{
			Ingredient("goldnugget", 7), 
			Ingredient("nightmarefuel", 4), 
			Ingredient("charcoal", 10) 
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_TWO)
		ostuxkatanaRecipe.atlas = "images/inventoryimages/ostuxkatana.xml"

local ostuxlaserRecipe = GLOBAL.Recipe( "ostuxlaser", 
		{
			Ingredient("purplegem", 1), 
			Ingredient("thulecite_pieces", 3), 
			Ingredient("firestaff", 1)
		}, 
		
		RECIPETABS.WAR, TECH.SCIENCE_TWO)
		ostuxlaserRecipe.atlas = "images/inventoryimages/ostuxlaser.xml"

local ostuxbackpackRecipe = GLOBAL.Recipe( "ostuxbackpack", 
		{
			Ingredient("boards", 7), 
			Ingredient("rope", 5), 
			Ingredient("livinglog", 3)
		},
		
		RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO)
		ostuxbackpackRecipe.atlas = "images/inventoryimages/ostuxbackpack.xml"
        end
    end
end


