local assets=
{
    Asset("ANIM", "anim/ostuxlaser.zip"),
    Asset("ANIM", "anim/swap_ostuxlaser.zip"),
 
    Asset("ATLAS", "images/inventoryimages/ostuxlaser.xml"),
    Asset("IMAGE", "images/inventoryimages/ostuxlaser.tex"),
}

local prefabs = { 
}

--Stole Life
local function onattack(inst, owner, target)
	owner.components.health:DoDelta(3)
end

local function onequip(inst, owner)
 	owner.AnimState:OverrideSymbol("swap_object", "swap_ostuxlaser", "ostuxlaser")
	owner.AnimState:Show("ARM_carry")
	owner.AnimState:Hide("ARM_normal")
	inst.Light:Enable(true)
	if inst.components.equippable and inst.components.equippable:IsEquipped() then
		inst.Light:SetRadius(2)
	--else
	--inst.Light:Enable(false)
	end
end

local function onunequip(inst, owner)
	owner.AnimState:Hide("ARM_carry")
	owner.AnimState:Show("ARM_normal")
	inst.Light:Enable(false)
	inst.Light:SetRadius(.3)
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
     
    anim:SetBank("ostuxlaser")
    anim:SetBuild("ostuxlaser")
    anim:PlayAnimation("idle")
	
	inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE *1.7)
    inst.components.weapon:SetOnAttack( onattack)
	
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(150)
    inst.components.finiteuses:SetUses(150)
    inst.components.finiteuses:SetOnFinished( onfinished)
	
    inst:AddTag("light")
    inst.entity:AddLight()
	inst.Light:SetRadius(.3)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(180/255, 195/255, 150/255)
	inst.Light:Enable(false)
	inst.Light:SetDisableOnSceneRemoval(false)	
 
    inst:AddComponent("inspectable")
     
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "ostuxlaser"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ostuxlaser.xml"
     
    inst:AddComponent("equippable")
	inst.components.equippable:SetOnPocket(  function(owner) inst.Light:Enable(false) end)
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    inst.components.equippable.walkspeedmult = 0.8	
	
	inst:ListenForEvent("ondropped", function(inst)
		inst.Light:Enable(true)
		inst.Light:SetRadius(.3)
	end)	

    return inst
end

return  Prefab("common/inventory/ostuxlaser", fn, assets, prefabs)
