local assets=
{
    Asset("ANIM", "anim/ostuxlaser.zip"),
    Asset("ANIM", "anim/swap_ostuxlaser.zip"),
 
    Asset("ATLAS", "images/inventoryimages/ostuxlaser.xml"),
    Asset("IMAGE", "images/inventoryimages/ostuxlaser.tex"),
}

prefabs = {
}

--Stole Life
local function onattack(inst, owner, target)
	owner.components.health:DoDelta(0.5)
end

local function fn(Sim)
 	
    local function OnEquip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_ostuxlaser", "ostuxlaser")
        owner.AnimState:Show("ARM_carry")
        owner.AnimState:Hide("ARM_normal")
		local light = inst.entity:AddLight()
		light:SetFalloff(0.9)
		light:SetIntensity(.7)
		light:SetRadius(1.5)
		light:SetColour(255/255, 204/255, 229/255)
		light:Enable(true)		
    end
 
    local function OnUnequip(inst, owner)
        owner.AnimState:Hide("ARM_carry")
        owner.AnimState:Show("ARM_normal")
		local light = inst.entity:AddLight()
		light:SetFalloff(0.1)
		light:SetIntensity(.0)
		light:SetRadius(0)
		light:SetColour(255/255, 204/255, 229/255)		
		light:Enable(false)			
    end
 
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
     
    anim:SetBank("ostuxlaser")
    anim:SetBuild("ostuxlaser")
    anim:PlayAnimation("idle")
	
	inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE *1.9)
	inst.components.weapon.onattack = onattack
	
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(150)
    inst.components.finiteuses:SetUses(150)
    inst.components.finiteuses:SetOnFinished( onfinished)
 
    inst:AddComponent("inspectable")
     
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "ostuxlaser"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ostuxlaser.xml"
     
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
 
    return inst
end

return  Prefab("common/inventory/ostuxlaser", fn, assets, prefabs)
